package jp.programmers.webdb.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.programmers.webdb.dao.CustomerDAO;
import jp.programmers.webdb.forms.CustomerForm;
import jp.programmers.webdb.model.Customer;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * DBɕۑANVłB
 */
public class SaveCustomerAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        CustomerForm cf = (CustomerForm)form;
        Customer customer = new Customer();
        customer.setId(cf.getId());
        customer.setName(cf.getName());
        customer.setAddress(cf.getAddress());
        customer.setPhone(cf.getPhone());
        CustomerDAO customerDAO = new CustomerDAO();
        customerDAO.saveOrUpdate(customer);
        request.setAttribute("customer", customer);
        return mapping.findForward("success");
    }
}
