package jp.programmers.webdb.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.programmers.webdb.dao.OrderDAO;
import jp.programmers.webdb.forms.SearchOrderDetailForm;
import jp.programmers.webdb.model.OrderDetail;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * I[_ڍׂDB猟ANVłB
 */
public class SearchOrderDetailAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        SearchOrderDetailForm sodf =
            (SearchOrderDetailForm)form;
        Integer id = sodf.getId();
        OrderDAO orderDAO = new OrderDAO();
        OrderDetail[] details = orderDAO.getDetails(id);
        request.setAttribute("details", details);
        int totalPrice = 0;
        for (int i = 0; i < details.length; i++) {
            totalPrice +=details[i].getSubtotalPrice();
        }
        request.setAttribute("totalPrice", new Integer(totalPrice));
        return mapping.findForward("success");
    }
}
